=head1 NAME

Gtk2::CellRendererAccel - wrapper for GtkCellRendererAccel

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::CellRenderer
                 +----Gtk2::CellRendererText
                      +----Gtk2::CellRendererAccel



=cut


=head1 METHODS

=head2 cellrenderer = Gtk2::CellRendererAccel-E<gt>B<new> 



=cut


=head1 PROPERTIES

=over

=item 'accel-key' (Glib::UInt : default 0 : readable / writable / private / static-nick / static-blurb)

The keyval of the accelerator

=item 'accel-mode' (Gtk2::CellRendererAccelMode : default "gtk" : readable / writable / private / static-nick / static-blurb)

The type of accelerators

=item 'accel-mods' (Gtk2::Gdk::ModifierType : default  : readable / writable / private / static-nick / static-blurb)

The modifier mask of the accelerator

=item 'keycode' (Glib::UInt : default 0 : readable / writable / private / static-nick / static-blurb)

The hardware keycode of the accelerator

=back



=cut


=head1 SIGNALS

=over

=item B<accel-cleared> (Gtk2::CellRendererAccel, string)

=item B<accel-edited> (Gtk2::CellRendererAccel, string, Glib::UInt, Gtk2::Gdk::ModifierType, Glib::UInt)

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::CellRendererAccelMode

=over

=item * 'gtk' / 'GTK_CELL_RENDERER_ACCEL_MODE_GTK'

=item * 'other' / 'GTK_CELL_RENDERER_ACCEL_MODE_OTHER'

=back


=head2 flags Gtk2::Gdk::ModifierType

=over

=item * 'shift-mask' / 'GDK_SHIFT_MASK'

=item * 'lock-mask' / 'GDK_LOCK_MASK'

=item * 'control-mask' / 'GDK_CONTROL_MASK'

=item * 'mod1-mask' / 'GDK_MOD1_MASK'

=item * 'mod2-mask' / 'GDK_MOD2_MASK'

=item * 'mod3-mask' / 'GDK_MOD3_MASK'

=item * 'mod4-mask' / 'GDK_MOD4_MASK'

=item * 'mod5-mask' / 'GDK_MOD5_MASK'

=item * 'button1-mask' / 'GDK_BUTTON1_MASK'

=item * 'button2-mask' / 'GDK_BUTTON2_MASK'

=item * 'button3-mask' / 'GDK_BUTTON3_MASK'

=item * 'button4-mask' / 'GDK_BUTTON4_MASK'

=item * 'button5-mask' / 'GDK_BUTTON5_MASK'

=item * 'super-mask' / 'GDK_SUPER_MASK'

=item * 'hyper-mask' / 'GDK_HYPER_MASK'

=item * 'meta-mask' / 'GDK_META_MASK'

=item * 'release-mask' / 'GDK_RELEASE_MASK'

=item * 'modifier-mask' / 'GDK_MODIFIER_MASK'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::CellRenderer>, L<Gtk2::CellRendererText>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

